Support

Account

Home Forums Backend Issues (wp-admin) HTML Editor in ACF WYSIWYG gone after 3.9

Solving

HTML Editor in ACF WYSIWYG gone after 3.9

  • Hi Elliot,

    Thanks for the great plugin.

    We noticed that since upgrading to 3.9 and ACF 4.3.6, the HTML editor is no longer available in the WYSIWYG editor.

    Is this a limitation of the recent TinyMCE upgrade with 3.9?

    I tried adding the ‘code’ array value back in via the following filter:

    add_filter('acf/fields/wysiwyg/toolbars' , 'bp_wysiwyg_toolbars');

    But it still doesn’t render on the front end. In fact, the $init array variable that is passed to this filter does include the a ‘code’ array value but seems like it is being removed before rendering.

    Thank you,
    BARREL

  • same, also don’t get any js errors in console.

  • Any more news on this? Am waiting on it for a project, if there’s anything I can do to help let me know.

    Thanks.

  • Likewise! Any news would be much appreciated.

    Thanks

  • latest plugin fixes this. Thanks.

  • …take it back, I’ve lost the wysiwyg editor again, and only have html, this is starting to be a pain.

  • deactivated, reactivated and updated, and it works again. Anybody else having problems?

  • I was having the same problem, latest version fixed it for me 🙂

  • My wysiwyg is gone as well after updating. Why did you remove this feature?

  • deactivated, reactivated, still missing! Please update or I will have to find an alternative solution and be set back 2 weeks or more of work.

  • I had the same issue. It turned out to be a security plugin obfuscating the wp_version. If you have a security plugin installed, try deactivating that first.

    Since it took me 2 hours to track it down, I thought I’d share the love.

    Despite the error coming up as an ACF error, it wasn’t a problem with this plugin. I’ve advised the other plugin creator about this and in the mean time turned that feature off.

  • I disabled all plugins, which didn’t work. Deleted the plugins folder (after backing up of course), which didn’t work. Finally what did work was a fresh WordPress install then turning everything back on. There it was again.

    Strange. Not sure if it was something up with the 3.9.1 update or what but it’s back.

  • I just want to chime in here and say that the issue exists for us:

    WP 3.9.1
    ACF 4.3.8

    @elliot – Any idea what’s going on here?

    Thanks!

  • p.s. We are using the WYSIWYG inside the Flexible Content Field. Perhaps that will help with troubleshooting.

    @elliot

  • I’m also running WP 3.9.1 and ACF 4.3.8 and am having mixed results with the WYSIWYG editor. On one page that I have it set it doesn’t work, but on all the others it does.

    The main difference between the various pages is that the one where the WYSIWYG editor doesn’t display has an ACF Google Map field included. If I remove the Google Map field and reload the page editor, the WYSIWYG editor then displays properly.

    When I inspect the page, I get the following error:
    TypeError: google.load is not a function
    http://anvilcentre.com/wp-content/plugins/advanced-custom-fields/js/input.min.js?ver=4.3.8
    Line 1

  • When deactivating all plugins it goes away, but when activating only ACF it returns.

    WP 3.9.1
    ACF 4.3.8

  • Any news on resolving this as I am suffering too on a site just put live.

Viewing 17 posts - 1 through 17 (of 17 total)

You must be logged in to reply to this topic.